Home | History | Annotate | Download | only in 0.153
      1 # Makefile.in generated by automake 1.11.1 from Makefile.am.
      2 # @configure_input@
      3 
      4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
      5 # 2003, 2004, 2005, 2006, 2007, 2008, 2009  Free Software Foundation,
      6 # Inc.
      7 # This Makefile.in is free software; the Free Software Foundation
      8 # gives unlimited permission to copy and/or distribute it,
      9 # with or without modifications, as long as this notice is preserved.
     10 
     11 # This program is distributed in the hope that it will be useful,
     12 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
     13 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
     14 # PARTICULAR PURPOSE.
     15 
     16 @SET_MAKE@
     17 
     18 VPATH = @srcdir@
     19 pkgdatadir = $(datadir)/@PACKAGE@
     20 pkgincludedir = $(includedir)/@PACKAGE@
     21 pkglibdir = $(libdir)/@PACKAGE@
     22 pkglibexecdir = $(libexecdir)/@PACKAGE@
     23 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
     24 install_sh_DATA = $(install_sh) -c -m 644
     25 install_sh_PROGRAM = $(install_sh) -c
     26 install_sh_SCRIPT = $(install_sh) -c
     27 INSTALL_HEADER = $(INSTALL_DATA)
     28 transform = $(program_transform_name)
     29 NORMAL_INSTALL = :
     30 PRE_INSTALL = :
     31 POST_INSTALL = :
     32 NORMAL_UNINSTALL = :
     33 PRE_UNINSTALL = :
     34 POST_UNINSTALL = :
     35 build_triplet = @build@
     36 host_triplet = @host@
     37 subdir = .
     38 DIST_COMMON = README $(am__configure_deps) $(pkginclude_HEADERS) \
     39 	$(srcdir)/Makefile.am $(srcdir)/Makefile.in \
     40 	$(srcdir)/config.h.in $(top_srcdir)/config/elfutils.spec.in \
     41 	$(top_srcdir)/config/version.h.in $(top_srcdir)/configure \
     42 	ABOUT-NLS AUTHORS COPYING ChangeLog INSTALL NEWS THANKS TODO
     43 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
     44 am__aclocal_m4_deps = $(top_srcdir)/m4/nls.m4 $(top_srcdir)/m4/po.m4 \
     45 	$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/m4/zip.m4 \
     46 	$(top_srcdir)/configure.ac
     47 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
     48 	$(ACLOCAL_M4)
     49 am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
     50  configure.lineno config.status.lineno
     51 mkinstalldirs = $(install_sh) -d
     52 CONFIG_HEADER = config.h
     53 CONFIG_CLEAN_FILES = elfutils.spec version.h
     54 CONFIG_CLEAN_VPATH_FILES =
     55 SOURCES =
     56 DIST_SOURCES =
     57 RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
     58 	html-recursive info-recursive install-data-recursive \
     59 	install-dvi-recursive install-exec-recursive \
     60 	install-html-recursive install-info-recursive \
     61 	install-pdf-recursive install-ps-recursive install-recursive \
     62 	installcheck-recursive installdirs-recursive pdf-recursive \
     63 	ps-recursive uninstall-recursive
     64 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
     65 am__vpath_adj = case $$p in \
     66     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
     67     *) f=$$p;; \
     68   esac;
     69 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
     70 am__install_max = 40
     71 am__nobase_strip_setup = \
     72   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
     73 am__nobase_strip = \
     74   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
     75 am__nobase_list = $(am__nobase_strip_setup); \
     76   for p in $$list; do echo "$$p $$p"; done | \
     77   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
     78   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
     79     if (++n[$$2] == $(am__install_max)) \
     80       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
     81     END { for (dir in files) print dir, files[dir] }'
     82 am__base_list = \
     83   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
     84   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
     85 am__installdirs = "$(DESTDIR)$(pkgincludedir)"
     86 HEADERS = $(pkginclude_HEADERS)
     87 RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive	\
     88   distclean-recursive maintainer-clean-recursive
     89 AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
     90 	$(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
     91 	distdir dist dist-all distcheck
     92 ETAGS = etags
     93 CTAGS = ctags
     94 DIST_SUBDIRS = $(SUBDIRS)
     95 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
     96 distdir = $(PACKAGE)-$(VERSION)
     97 top_distdir = $(distdir)
     98 am__remove_distdir = \
     99   { test ! -d "$(distdir)" \
    100     || { find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
    101          && rm -fr "$(distdir)"; }; }
    102 am__relativize = \
    103   dir0=`pwd`; \
    104   sed_first='s,^\([^/]*\)/.*$$,\1,'; \
    105   sed_rest='s,^[^/]*/*,,'; \
    106   sed_last='s,^.*/\([^/]*\)$$,\1,'; \
    107   sed_butlast='s,/*[^/]*$$,,'; \
    108   while test -n "$$dir1"; do \
    109     first=`echo "$$dir1" | sed -e "$$sed_first"`; \
    110     if test "$$first" != "."; then \
    111       if test "$$first" = ".."; then \
    112         dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
    113         dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
    114       else \
    115         first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
    116         if test "$$first2" = "$$first"; then \
    117           dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
    118         else \
    119           dir2="../$$dir2"; \
    120         fi; \
    121         dir0="$$dir0"/"$$first"; \
    122       fi; \
    123     fi; \
    124     dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
    125   done; \
    126   reldir="$$dir2"
    127 GZIP_ENV = --best
    128 DIST_ARCHIVES = $(distdir).tar.bz2
    129 distuninstallcheck_listfiles = find . -type f -print
    130 distcleancheck_listfiles = find . -type f -print
    131 ACLOCAL = @ACLOCAL@
    132 AMTAR = @AMTAR@
    133 AUTOCONF = @AUTOCONF@
    134 AUTOHEADER = @AUTOHEADER@
    135 AUTOMAKE = @AUTOMAKE@
    136 AWK = @AWK@
    137 CC = @CC@
    138 CCDEPMODE = @CCDEPMODE@
    139 CFLAGS = @CFLAGS@
    140 CPPFLAGS = @CPPFLAGS@
    141 CYGPATH_W = @CYGPATH_W@
    142 DEBUGPRED = @DEBUGPRED@
    143 DEFS = @DEFS@
    144 DEPDIR = @DEPDIR@
    145 ECHO_C = @ECHO_C@
    146 ECHO_N = @ECHO_N@
    147 ECHO_T = @ECHO_T@
    148 EXEEXT = @EXEEXT@
    149 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
    150 GMSGFMT = @GMSGFMT@
    151 GMSGFMT_015 = @GMSGFMT_015@
    152 INSTALL = @INSTALL@
    153 INSTALL_DATA = @INSTALL_DATA@
    154 INSTALL_PROGRAM = @INSTALL_PROGRAM@
    155 INSTALL_SCRIPT = @INSTALL_SCRIPT@
    156 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
    157 LDFLAGS = @LDFLAGS@
    158 LEX = @LEX@
    159 LEXLIB = @LEXLIB@
    160 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
    161 LIBEBL_SUBDIR = @LIBEBL_SUBDIR@
    162 LIBOBJS = @LIBOBJS@
    163 LIBS = @LIBS@
    164 LTLIBOBJS = @LTLIBOBJS@
    165 MAINT = @MAINT@
    166 MAKEINFO = @MAKEINFO@
    167 MKDIR_P = @MKDIR_P@
    168 MODVERSION = @MODVERSION@
    169 MSGFMT = @MSGFMT@
    170 MSGFMT_015 = @MSGFMT_015@
    171 MSGMERGE = @MSGMERGE@
    172 OBJEXT = @OBJEXT@
    173 PACKAGE = @PACKAGE@
    174 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
    175 PACKAGE_NAME = @PACKAGE_NAME@
    176 PACKAGE_STRING = @PACKAGE_STRING@
    177 PACKAGE_TARNAME = @PACKAGE_TARNAME@
    178 PACKAGE_URL = @PACKAGE_URL@
    179 PACKAGE_VERSION = @PACKAGE_VERSION@
    180 PATH_SEPARATOR = @PATH_SEPARATOR@
    181 RANLIB = @RANLIB@
    182 SET_MAKE = @SET_MAKE@
    183 SHELL = @SHELL@
    184 STRIP = @STRIP@
    185 USE_NLS = @USE_NLS@
    186 VERSION = @VERSION@
    187 XGETTEXT = @XGETTEXT@
    188 XGETTEXT_015 = @XGETTEXT_015@
    189 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
    190 YACC = @YACC@
    191 YFLAGS = @YFLAGS@
    192 abs_builddir = @abs_builddir@
    193 abs_srcdir = @abs_srcdir@
    194 abs_top_builddir = @abs_top_builddir@
    195 abs_top_srcdir = @abs_top_srcdir@
    196 ac_ct_CC = @ac_ct_CC@
    197 am__include = @am__include@
    198 am__leading_dot = @am__leading_dot@
    199 am__quote = @am__quote@
    200 am__tar = @am__tar@
    201 am__untar = @am__untar@
    202 base_cpu = @base_cpu@
    203 bindir = @bindir@
    204 build = @build@
    205 build_alias = @build_alias@
    206 build_cpu = @build_cpu@
    207 build_os = @build_os@
    208 build_vendor = @build_vendor@
    209 builddir = @builddir@
    210 datadir = @datadir@
    211 datarootdir = @datarootdir@
    212 docdir = @docdir@
    213 dvidir = @dvidir@
    214 eu_version = @eu_version@
    215 exec_prefix = @exec_prefix@
    216 host = @host@
    217 host_alias = @host_alias@
    218 host_cpu = @host_cpu@
    219 host_os = @host_os@
    220 host_vendor = @host_vendor@
    221 htmldir = @htmldir@
    222 includedir = @includedir@
    223 infodir = @infodir@
    224 install_sh = @install_sh@
    225 libdir = @libdir@
    226 libexecdir = @libexecdir@
    227 localedir = @localedir@
    228 localstatedir = @localstatedir@
    229 mandir = @mandir@
    230 mkdir_p = @mkdir_p@
    231 oldincludedir = @oldincludedir@
    232 pdfdir = @pdfdir@
    233 prefix = @prefix@
    234 program_transform_name = @program_transform_name@
    235 psdir = @psdir@
    236 sbindir = @sbindir@
    237 sharedstatedir = @sharedstatedir@
    238 srcdir = @srcdir@
    239 sysconfdir = @sysconfdir@
    240 target_alias = @target_alias@
    241 top_build_prefix = @top_build_prefix@
    242 top_builddir = @top_builddir@
    243 top_srcdir = @top_srcdir@
    244 zip_LIBS = @zip_LIBS@
    245 ACLOCAL_AMFLAGS = -I m4
    246 pkginclude_HEADERS = version.h
    247 
    248 # Add doc back when we have some real content.
    249 SUBDIRS = config m4 lib libelf libebl libdwfl libdw libcpu libasm backends \
    250 	  src po tests
    251 
    252 EXTRA_DIST = elfutils.spec GPG-KEY NOTES EXCEPTION
    253 
    254 # Make sure the test install uses lib64 when $LIB will yield lib64.
    255 # Make sure the test build uses the same compiler, which on e.g. ppc64
    256 # determines which platform we are actually testing.
    257 DISTCHECK_CONFIGURE_FLAGS = \
    258 	--libdir=`echo $(libdir) | sed "s,^$(exec_prefix),$$dc_install_base,"`\
    259 	CC="$(CC)"
    260 
    261 all: config.h
    262 	$(MAKE) $(AM_MAKEFLAGS) all-recursive
    263 
    264 .SUFFIXES:
    265 am--refresh:
    266 	@:
    267 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
    268 	@for dep in $?; do \
    269 	  case '$(am__configure_deps)' in \
    270 	    *$$dep*) \
    271 	      echo ' cd $(srcdir) && $(AUTOMAKE) --gnits'; \
    272 	      $(am__cd) $(srcdir) && $(AUTOMAKE) --gnits \
    273 		&& exit 0; \
    274 	      exit 1;; \
    275 	  esac; \
    276 	done; \
    277 	echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits Makefile'; \
    278 	$(am__cd) $(top_srcdir) && \
    279 	  $(AUTOMAKE) --gnits Makefile
    280 .PRECIOUS: Makefile
    281 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
    282 	@case '$?' in \
    283 	  *config.status*) \
    284 	    echo ' $(SHELL) ./config.status'; \
    285 	    $(SHELL) ./config.status;; \
    286 	  *) \
    287 	    echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
    288 	    cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
    289 	esac;
    290 
    291 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
    292 	$(SHELL) ./config.status --recheck
    293 
    294 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
    295 	$(am__cd) $(srcdir) && $(AUTOCONF)
    296 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
    297 	$(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
    298 $(am__aclocal_m4_deps):
    299 
    300 config.h: stamp-h1
    301 	@if test ! -f $@; then \
    302 	  rm -f stamp-h1; \
    303 	  $(MAKE) $(AM_MAKEFLAGS) stamp-h1; \
    304 	else :; fi
    305 
    306 stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
    307 	@rm -f stamp-h1
    308 	cd $(top_builddir) && $(SHELL) ./config.status config.h
    309 $(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps) 
    310 	($(am__cd) $(top_srcdir) && $(AUTOHEADER))
    311 	rm -f stamp-h1
    312 	touch $@
    313 
    314 distclean-hdr:
    315 	-rm -f config.h stamp-h1
    316 elfutils.spec: $(top_builddir)/config.status $(top_srcdir)/config/elfutils.spec.in
    317 	cd $(top_builddir) && $(SHELL) ./config.status $@
    318 version.h: $(top_builddir)/config.status $(top_srcdir)/config/version.h.in
    319 	cd $(top_builddir) && $(SHELL) ./config.status $@
    320 install-pkgincludeHEADERS: $(pkginclude_HEADERS)
    321 	@$(NORMAL_INSTALL)
    322 	test -z "$(pkgincludedir)" || $(MKDIR_P) "$(DESTDIR)$(pkgincludedir)"
    323 	@list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
    324 	for p in $$list; do \
    325 	  if test -f "$$p"; then d=; else d="$(srcdir)/"; fi; \
    326 	  echo "$$d$$p"; \
    327 	done | $(am__base_list) | \
    328 	while read files; do \
    329 	  echo " $(INSTALL_HEADER) $$files '$(DESTDIR)$(pkgincludedir)'"; \
    330 	  $(INSTALL_HEADER) $$files "$(DESTDIR)$(pkgincludedir)" || exit $$?; \
    331 	done
    332 
    333 uninstall-pkgincludeHEADERS:
    334 	@$(NORMAL_UNINSTALL)
    335 	@list='$(pkginclude_HEADERS)'; test -n "$(pkgincludedir)" || list=; \
    336 	files=`for p in $$list; do echo $$p; done | sed -e 's|^.*/||'`; \
    337 	test -n "$$files" || exit 0; \
    338 	echo " ( cd '$(DESTDIR)$(pkgincludedir)' && rm -f" $$files ")"; \
    339 	cd "$(DESTDIR)$(pkgincludedir)" && rm -f $$files
    340 
    341 # This directory's subdirectories are mostly independent; you can cd
    342 # into them and run `make' without going through this Makefile.
    343 # To change the values of `make' variables: instead of editing Makefiles,
    344 # (1) if the variable is set in `config.status', edit `config.status'
    345 #     (which will cause the Makefiles to be regenerated when you run `make');
    346 # (2) otherwise, pass the desired values on the `make' command line.
    347 $(RECURSIVE_TARGETS):
    348 	@fail= failcom='exit 1'; \
    349 	for f in x $$MAKEFLAGS; do \
    350 	  case $$f in \
    351 	    *=* | --[!k]*);; \
    352 	    *k*) failcom='fail=yes';; \
    353 	  esac; \
    354 	done; \
    355 	dot_seen=no; \
    356 	target=`echo $@ | sed s/-recursive//`; \
    357 	list='$(SUBDIRS)'; for subdir in $$list; do \
    358 	  echo "Making $$target in $$subdir"; \
    359 	  if test "$$subdir" = "."; then \
    360 	    dot_seen=yes; \
    361 	    local_target="$$target-am"; \
    362 	  else \
    363 	    local_target="$$target"; \
    364 	  fi; \
    365 	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
    366 	  || eval $$failcom; \
    367 	done; \
    368 	if test "$$dot_seen" = "no"; then \
    369 	  $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
    370 	fi; test -z "$$fail"
    371 
    372 $(RECURSIVE_CLEAN_TARGETS):
    373 	@fail= failcom='exit 1'; \
    374 	for f in x $$MAKEFLAGS; do \
    375 	  case $$f in \
    376 	    *=* | --[!k]*);; \
    377 	    *k*) failcom='fail=yes';; \
    378 	  esac; \
    379 	done; \
    380 	dot_seen=no; \
    381 	case "$@" in \
    382 	  distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
    383 	  *) list='$(SUBDIRS)' ;; \
    384 	esac; \
    385 	rev=''; for subdir in $$list; do \
    386 	  if test "$$subdir" = "."; then :; else \
    387 	    rev="$$subdir $$rev"; \
    388 	  fi; \
    389 	done; \
    390 	rev="$$rev ."; \
    391 	target=`echo $@ | sed s/-recursive//`; \
    392 	for subdir in $$rev; do \
    393 	  echo "Making $$target in $$subdir"; \
    394 	  if test "$$subdir" = "."; then \
    395 	    local_target="$$target-am"; \
    396 	  else \
    397 	    local_target="$$target"; \
    398 	  fi; \
    399 	  ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
    400 	  || eval $$failcom; \
    401 	done && test -z "$$fail"
    402 tags-recursive:
    403 	list='$(SUBDIRS)'; for subdir in $$list; do \
    404 	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
    405 	done
    406 ctags-recursive:
    407 	list='$(SUBDIRS)'; for subdir in $$list; do \
    408 	  test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
    409 	done
    410 
    411 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
    412 	list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
    413 	unique=`for i in $$list; do \
    414 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    415 	  done | \
    416 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
    417 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
    418 	mkid -fID $$unique
    419 tags: TAGS
    420 
    421 TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
    422 		$(TAGS_FILES) $(LISP)
    423 	set x; \
    424 	here=`pwd`; \
    425 	if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
    426 	  include_option=--etags-include; \
    427 	  empty_fix=.; \
    428 	else \
    429 	  include_option=--include; \
    430 	  empty_fix=; \
    431 	fi; \
    432 	list='$(SUBDIRS)'; for subdir in $$list; do \
    433 	  if test "$$subdir" = .; then :; else \
    434 	    test ! -f $$subdir/TAGS || \
    435 	      set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
    436 	  fi; \
    437 	done; \
    438 	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
    439 	unique=`for i in $$list; do \
    440 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    441 	  done | \
    442 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
    443 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
    444 	shift; \
    445 	if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
    446 	  test -n "$$unique" || unique=$$empty_fix; \
    447 	  if test $$# -gt 0; then \
    448 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    449 	      "$$@" $$unique; \
    450 	  else \
    451 	    $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
    452 	      $$unique; \
    453 	  fi; \
    454 	fi
    455 ctags: CTAGS
    456 CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
    457 		$(TAGS_FILES) $(LISP)
    458 	list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
    459 	unique=`for i in $$list; do \
    460 	    if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
    461 	  done | \
    462 	  $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
    463 	      END { if (nonempty) { for (i in files) print i; }; }'`; \
    464 	test -z "$(CTAGS_ARGS)$$unique" \
    465 	  || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
    466 	     $$unique
    467 
    468 GTAGS:
    469 	here=`$(am__cd) $(top_builddir) && pwd` \
    470 	  && $(am__cd) $(top_srcdir) \
    471 	  && gtags -i $(GTAGS_ARGS) "$$here"
    472 
    473 distclean-tags:
    474 	-rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
    475 
    476 distdir: $(DISTFILES)
    477 	@case `sed 15q $(srcdir)/NEWS` in \
    478 	*"$(VERSION)"*) : ;; \
    479 	*) \
    480 	  echo "NEWS not updated; not releasing" 1>&2; \
    481 	  exit 1;; \
    482 	esac
    483 	$(am__remove_distdir)
    484 	test -d "$(distdir)" || mkdir "$(distdir)"
    485 	@srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    486 	topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
    487 	list='$(DISTFILES)'; \
    488 	  dist_files=`for file in $$list; do echo $$file; done | \
    489 	  sed -e "s|^$$srcdirstrip/||;t" \
    490 	      -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
    491 	case $$dist_files in \
    492 	  */*) $(MKDIR_P) `echo "$$dist_files" | \
    493 			   sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
    494 			   sort -u` ;; \
    495 	esac; \
    496 	for file in $$dist_files; do \
    497 	  if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
    498 	  if test -d $$d/$$file; then \
    499 	    dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
    500 	    if test -d "$(distdir)/$$file"; then \
    501 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
    502 	    fi; \
    503 	    if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
    504 	      cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
    505 	      find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
    506 	    fi; \
    507 	    cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
    508 	  else \
    509 	    test -f "$(distdir)/$$file" \
    510 	    || cp -p $$d/$$file "$(distdir)/$$file" \
    511 	    || exit 1; \
    512 	  fi; \
    513 	done
    514 	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
    515 	  if test "$$subdir" = .; then :; else \
    516 	    test -d "$(distdir)/$$subdir" \
    517 	    || $(MKDIR_P) "$(distdir)/$$subdir" \
    518 	    || exit 1; \
    519 	  fi; \
    520 	done
    521 	@list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
    522 	  if test "$$subdir" = .; then :; else \
    523 	    dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
    524 	    $(am__relativize); \
    525 	    new_distdir=$$reldir; \
    526 	    dir1=$$subdir; dir2="$(top_distdir)"; \
    527 	    $(am__relativize); \
    528 	    new_top_distdir=$$reldir; \
    529 	    echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
    530 	    echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
    531 	    ($(am__cd) $$subdir && \
    532 	      $(MAKE) $(AM_MAKEFLAGS) \
    533 	        top_distdir="$$new_top_distdir" \
    534 	        distdir="$$new_distdir" \
    535 		am__remove_distdir=: \
    536 		am__skip_length_check=: \
    537 		am__skip_mode_fix=: \
    538 	        distdir) \
    539 	      || exit 1; \
    540 	  fi; \
    541 	done
    542 	-test -n "$(am__skip_mode_fix)" \
    543 	|| find "$(distdir)" -type d ! -perm -755 \
    544 		-exec chmod u+rwx,go+rx {} \; -o \
    545 	  ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
    546 	  ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
    547 	  ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
    548 	|| chmod -R a+r "$(distdir)"
    549 dist-gzip: distdir
    550 	tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
    551 	$(am__remove_distdir)
    552 dist-bzip2: distdir
    553 	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
    554 	$(am__remove_distdir)
    555 
    556 dist-lzma: distdir
    557 	tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
    558 	$(am__remove_distdir)
    559 
    560 dist-xz: distdir
    561 	tardir=$(distdir) && $(am__tar) | xz -c >$(distdir).tar.xz
    562 	$(am__remove_distdir)
    563 
    564 dist-tarZ: distdir
    565 	tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
    566 	$(am__remove_distdir)
    567 
    568 dist-shar: distdir
    569 	shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
    570 	$(am__remove_distdir)
    571 
    572 dist-zip: distdir
    573 	-rm -f $(distdir).zip
    574 	zip -rq $(distdir).zip $(distdir)
    575 	$(am__remove_distdir)
    576 
    577 dist dist-all: distdir
    578 	tardir=$(distdir) && $(am__tar) | bzip2 -9 -c >$(distdir).tar.bz2
    579 	$(am__remove_distdir)
    580 
    581 # This target untars the dist file and tries a VPATH configuration.  Then
    582 # it guarantees that the distribution is self-contained by making another
    583 # tarfile.
    584 distcheck: dist
    585 	case '$(DIST_ARCHIVES)' in \
    586 	*.tar.gz*) \
    587 	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
    588 	*.tar.bz2*) \
    589 	  bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
    590 	*.tar.lzma*) \
    591 	  lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
    592 	*.tar.xz*) \
    593 	  xz -dc $(distdir).tar.xz | $(am__untar) ;;\
    594 	*.tar.Z*) \
    595 	  uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
    596 	*.shar.gz*) \
    597 	  GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
    598 	*.zip*) \
    599 	  unzip $(distdir).zip ;;\
    600 	esac
    601 	chmod -R a-w $(distdir); chmod a+w $(distdir)
    602 	mkdir $(distdir)/_build
    603 	mkdir $(distdir)/_inst
    604 	chmod a-w $(distdir)
    605 	test -d $(distdir)/_build || exit 0; \
    606 	dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
    607 	  && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
    608 	  && $(MAKE) $(AM_MAKEFLAGS) distcheck-hook \
    609 	  && am__cwd=`pwd` \
    610 	  && $(am__cd) $(distdir)/_build \
    611 	  && ../configure --srcdir=.. --prefix="$$dc_install_base" \
    612 	    $(DISTCHECK_CONFIGURE_FLAGS) \
    613 	  && $(MAKE) $(AM_MAKEFLAGS) \
    614 	  && $(MAKE) $(AM_MAKEFLAGS) dvi \
    615 	  && $(MAKE) $(AM_MAKEFLAGS) check \
    616 	  && $(MAKE) $(AM_MAKEFLAGS) install \
    617 	  && $(MAKE) $(AM_MAKEFLAGS) installcheck \
    618 	  && $(MAKE) $(AM_MAKEFLAGS) uninstall \
    619 	  && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
    620 	        distuninstallcheck \
    621 	  && chmod -R a-w "$$dc_install_base" \
    622 	  && ({ \
    623 	       (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
    624 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
    625 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
    626 	       && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
    627 	            distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
    628 	      } || { rm -rf "$$dc_destdir"; exit 1; }) \
    629 	  && rm -rf "$$dc_destdir" \
    630 	  && $(MAKE) $(AM_MAKEFLAGS) dist \
    631 	  && rm -rf $(DIST_ARCHIVES) \
    632 	  && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
    633 	  && cd "$$am__cwd" \
    634 	  || exit 1
    635 	$(am__remove_distdir)
    636 	@(echo "$(distdir) archives ready for distribution: "; \
    637 	  list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
    638 	  sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
    639 distuninstallcheck:
    640 	@$(am__cd) '$(distuninstallcheck_dir)' \
    641 	&& test `$(distuninstallcheck_listfiles) | wc -l` -le 1 \
    642 	   || { echo "ERROR: files left after uninstall:" ; \
    643 	        if test -n "$(DESTDIR)"; then \
    644 	          echo "  (check DESTDIR support)"; \
    645 	        fi ; \
    646 	        $(distuninstallcheck_listfiles) ; \
    647 	        exit 1; } >&2
    648 distcleancheck: distclean
    649 	@if test '$(srcdir)' = . ; then \
    650 	  echo "ERROR: distcleancheck can only run from a VPATH build" ; \
    651 	  exit 1 ; \
    652 	fi
    653 	@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
    654 	  || { echo "ERROR: files left in build directory after distclean:" ; \
    655 	       $(distcleancheck_listfiles) ; \
    656 	       exit 1; } >&2
    657 check-am: all-am
    658 check: check-recursive
    659 all-am: Makefile $(HEADERS) config.h
    660 installdirs: installdirs-recursive
    661 installdirs-am:
    662 	for dir in "$(DESTDIR)$(pkgincludedir)"; do \
    663 	  test -z "$$dir" || $(MKDIR_P) "$$dir"; \
    664 	done
    665 install: install-recursive
    666 install-exec: install-exec-recursive
    667 install-data: install-data-recursive
    668 uninstall: uninstall-recursive
    669 
    670 install-am: all-am
    671 	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
    672 
    673 installcheck: installcheck-recursive
    674 install-strip:
    675 	$(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
    676 	  install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
    677 	  `test -z '$(STRIP)' || \
    678 	    echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
    679 mostlyclean-generic:
    680 
    681 clean-generic:
    682 
    683 distclean-generic:
    684 	-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
    685 	-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
    686 
    687 maintainer-clean-generic:
    688 	@echo "This command is intended for maintainers to use"
    689 	@echo "it deletes files that may require special tools to rebuild."
    690 clean: clean-recursive
    691 
    692 clean-am: clean-generic mostlyclean-am
    693 
    694 distclean: distclean-recursive
    695 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
    696 	-rm -f Makefile
    697 distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
    698 
    699 dvi: dvi-recursive
    700 
    701 dvi-am:
    702 
    703 html: html-recursive
    704 
    705 html-am:
    706 
    707 info: info-recursive
    708 
    709 info-am:
    710 
    711 install-data-am: install-pkgincludeHEADERS
    712 
    713 install-dvi: install-dvi-recursive
    714 
    715 install-dvi-am:
    716 
    717 install-exec-am:
    718 
    719 install-html: install-html-recursive
    720 
    721 install-html-am:
    722 
    723 install-info: install-info-recursive
    724 
    725 install-info-am:
    726 
    727 install-man:
    728 
    729 install-pdf: install-pdf-recursive
    730 
    731 install-pdf-am:
    732 
    733 install-ps: install-ps-recursive
    734 
    735 install-ps-am:
    736 
    737 installcheck-am:
    738 
    739 maintainer-clean: maintainer-clean-recursive
    740 	-rm -f $(am__CONFIG_DISTCLEAN_FILES)
    741 	-rm -rf $(top_srcdir)/autom4te.cache
    742 	-rm -f Makefile
    743 maintainer-clean-am: distclean-am maintainer-clean-generic
    744 
    745 mostlyclean: mostlyclean-recursive
    746 
    747 mostlyclean-am: mostlyclean-generic
    748 
    749 pdf: pdf-recursive
    750 
    751 pdf-am:
    752 
    753 ps: ps-recursive
    754 
    755 ps-am:
    756 
    757 uninstall-am: uninstall-pkgincludeHEADERS
    758 
    759 .MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
    760 	ctags-recursive install-am install-strip tags-recursive
    761 
    762 .PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
    763 	all all-am am--refresh check check-am clean clean-generic \
    764 	ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
    765 	dist-lzma dist-shar dist-tarZ dist-xz dist-zip distcheck \
    766 	distclean distclean-generic distclean-hdr distclean-tags \
    767 	distcleancheck distdir distuninstallcheck dvi dvi-am html \
    768 	html-am info info-am install install-am install-data \
    769 	install-data-am install-dvi install-dvi-am install-exec \
    770 	install-exec-am install-html install-html-am install-info \
    771 	install-info-am install-man install-pdf install-pdf-am \
    772 	install-pkgincludeHEADERS install-ps install-ps-am \
    773 	install-strip installcheck installcheck-am installdirs \
    774 	installdirs-am maintainer-clean maintainer-clean-generic \
    775 	mostlyclean mostlyclean-generic pdf pdf-am ps ps-am tags \
    776 	tags-recursive uninstall uninstall-am \
    777 	uninstall-pkgincludeHEADERS
    778 
    779 
    780 distcheck-hook:
    781 	chmod -R u+w $(distdir)
    782 
    783 rpm: dist
    784 	rpmbuild -ts --sign elfutils-@PACKAGE_VERSION (a] .tar.bz2
    785 
    786 # Tell version 3.79 and up of GNU make to not build goals in this
    787 # directory in parallel.
    788 .NOTPARALLEL:
    789 
    790 # Tell versions [3.59,3.63) of GNU make to not export all variables.
    791 # Otherwise a system limit (for SysV at least) may be exceeded.
    792 .NOEXPORT:
    793